This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 827169

Summary: preupgrade fails to use yum proxy information
Product: [Fedora] Fedora Reporter: rambler8
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: hughsient, kevin_redhat, rambler8, ribenakid, toddj1, vytautas1987, wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 507552 Environment:
Last Closed: 2013-02-13 09:45:05 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description rambler8 2012-05-31 15:45:11 EDT
+++ This bug was initially created as a clone of Bug #507552 +++

Description of problem:
When preupgrade is run from the desktop prompt it fails to find repository information because it is not using the configured HTTP proxy information.

Version-Release number of selected component (if applicable):
1.1.0-1.fc10

How reproducible:
Always

Steps to Reproduce:
1. When pop-up for upgrade appears select "more information".
2. Preupgrade window appears with immediate error dialogue box.
  
Actual results:
Get error and have to quit upgrade process.

Expected results:
Should retrieve repository information via HTTP for available upgrades. Should get proxy information from /etc/yum.conf

Additional info:
Running from command line and setting http_proxy environment variable allows preupgrade to work. e.g. http_proxy="http://my-cache:8080/" /usr/bin/preupgrade

--- Additional comment from triage@lists.fedoraproject.org on 2009-11-18 07:07:09 EST ---


This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from triage@lists.fedoraproject.org on 2009-12-18 04:34:52 EST ---


Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from kevin_redhat@sylandro.com on 2010-10-26 18:58:58 EDT ---

This bug still exists in the Fedora 12 version of preupgrade.

--- Additional comment from vytautas1987@yahoo.com on 2011-06-22 05:05:06 EDT ---

This bug still exists in the Fedora 14 version of preupgrade.

--- Additional comment from jamoore2@hotmail.com on 2012-05-30 17:07:27 EDT ---

This bug still exists in the Fedora 16 version of preupgrade.
Comment 1 rambler8 2012-06-01 13:39:47 EDT
To work around the issue going from fedora 16 -> 17 set both the http_proxy and https_proxy variables since the repos now use https, e.g.:

export http_proxy="http://my-cache:8080/" 
export https_proxy="https://my-cache:8080/"
/usr/bin/preupgrade
Comment 2 Todd Jackson 2012-06-01 14:01:21 EDT
*** Bug 827498 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2013-01-16 08:50:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 09:45:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.